petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPQCGGetTrialStepNorm

Gets the norm of a trial step vector. The WCG step may be constrained, so this is not necessarily the length of the ultimate step taken in QCG.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPQCGGetTrialStepNorm(KSP ksp,PetscReal *tsnorm)

Not Collective Many br

### Input Parameter

ksp -the iterative context Many br

### Output Parameter

tsnorm -the norm Many br

Many br

Level:advanced
Location:src/ksp/ksp/impls/qcg/qcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages